<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net7.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<RootNamespace>BMA.EHR.Recurit.Exam.Service</RootNamespace>
		<UserSecretsId>a9bf3206-d872-43ec-8e64-857ab15cf89f</UserSecretsId>
		<DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
		<DockerfileContext>.</DockerfileContext>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<NoWarn>1701;1702;1591;0436;</NoWarn>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<NoWarn>1701;1702;1591;0436;</NoWarn>
	</PropertyGroup>

	<PropertyGroup Condition=" '$(RunConfiguration)' == 'dotnet' " />
	<PropertyGroup Condition=" '$(RunConfiguration)' == 'http' " />
	<PropertyGroup Condition=" '$(RunConfiguration)' == 'https' " />
	<PropertyGroup Condition=" '$(RunConfiguration)' == 'https-api' " />
	<ItemGroup>
		<PackageReference Include="AWSSDK.S3" Version="3.7.103.39" />
		<!-- <PackageReference Include="BMA.EHR.Core" Version="1.0.0" />
		<PackageReference Include="BMA.EHR.Extensions" Version="1.0.5" /> -->
		<PackageReference Include="BouncyCastle.NetCore" Version="1.9.0" />
		<PackageReference Include="EPPlus" Version="6.1.3" />
		<PackageReference Include="EPPlus.Interfaces" Version="6.1.1" />
		<PackageReference Include="EPPlus.System.Drawing" Version="6.1.1" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="7.0.5" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="7.0.5" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning" Version="5.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning.ApiExplorer" Version="5.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="7.0.5" />
		<PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.17.2" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.5" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="7.0.5" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.5">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.18.0" />
		<PackageReference Include="NEST" Version="7.17.5" />
		<PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="7.0.0" />
		<PackageReference Include="Sentry.AspNetCore" Version="3.30.0" />
		<PackageReference Include="Serilog" Version="2.12.0" />
		<PackageReference Include="Serilog.AspNetCore" Version="6.1.0" />
		<PackageReference Include="Serilog.Enrichers.Environment" Version="2.2.0" />
		<PackageReference Include="Serilog.Exceptions" Version="8.4.0" />
		<PackageReference Include="Serilog.Extensions.Hosting" Version="5.0.1" />
		<PackageReference Include="Serilog.Extensions.Logging" Version="3.1.0" />
		<PackageReference Include="Serilog.Formatting.Compact" Version="1.1.0" />
		<PackageReference Include="Serilog.Formatting.Elasticsearch" Version="9.0.0" />
		<PackageReference Include="Serilog.Settings.Configuration" Version="3.4.0" />
		<PackageReference Include="Serilog.Sinks.Console" Version="4.1.0" />
		<PackageReference Include="Serilog.Sinks.Debug" Version="2.0.0" />
		<PackageReference Include="Serilog.Sinks.Elasticsearch" Version="9.0.0" />
		<PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
		<PackageReference Include="Serilog.Sinks.PeriodicBatching" Version="3.1.0" />
		<PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
		<PackageReference Include="Swashbuckle.AspNetCore.Annotations" Version="6.5.0" />
		<PackageReference Include="Telerik.Reporting" Version="17.0.23.315" />
		<PackageReference Include="runtime.osx.10.10-x64.CoreCompat.System.Drawing" Version="6.0.5.128" />
	</ItemGroup>

	<ItemGroup>
		<None Update="Report\Recruit\rptCertificate1.trdp">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
		<None Update="Report\Recruit\rptCertificate2.trdp">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
		<None Update="Report\Recruit\rptExamResult.trdp">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
	</ItemGroup>

</Project>
